/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers
curl --request PATCH \
--url https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"displayMultiplier": 123
},
"id": "<string>",
"type": "AdSetDisplayMultiplier"
}
]
}
'import requests
url = "https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers"
payload = { "data": [
{
"attributes": { "displayMultiplier": 123 },
"id": "<string>",
"type": "AdSetDisplayMultiplier"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {displayMultiplier: 123},
id: '<string>',
type: 'AdSetDisplayMultiplier'
}
]
})
};
fetch('https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "AdSetDisplayMultiplier"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers
Update the Display Multipliers for given Categories associated to an Ad Set Patch Display Multipliers for one or more Categories in a single request. Partial success policy is followed.
PATCH
/
2026-01
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
display-multipliers
/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the Ad Set
Body
application/json
List of display multiplier values to change
Data model for a list of input resources
Show child attributes
Show child attributes
Response
200 - application/json
List of updated Display Multipliers for given Categories associated to an Ad Set. Make sure to check the error field in the response since a partial success will result in a 200 response code.
Was this page helpful?
/2026-01/marketing-solutions/ad-sets/{ad-set-id}/display-multipliers
Previous
/2026-01/marketing-solutions/ad-sets/search
Next
⌘I